I tried, but it not work, can you help me fix my code, Thanks
I tried to write a demo code, change the color of the connected curve
using System;
using NXOpen;
using NXOpen.UF;
public class NXJournal
{
static Session theSession = Session.GetSession();
static UFSession theUFSession =...
@cowski, i found Sample Open C API program : chain edges : https://solutions.industrysoftware.automation.siemens.com/view.php?sort=desc&p=1&q=.AskCnncEdges&file_type=text&i=nx_api1863&k=0&o=0 , is it your idea ?
but I can't compile to run at C++, do you have a VB or C#? thanks
Thank you, I'm using NX 8.5,I found the solution in this thread, but it nxopen c++ and I don't have a license to run it
Link : https://solutions.industrysoftware.automation.siemens.com/view.php?sort=desc&dt=nx-api&q=sample%20program%20sort%20end&file_type=text&i=nx_api639&k=5&o=0
Hello!
I have a pretty basic question.
I am trying to write a macro to check connected curves in the model, the old way to check is using the project curve feature and select a connected curve. it takes a lot of time if I have many curves.
can you help me another way to improve it
i saw this thread : https://community.plm.automation.siemens.com/t5/NX-Programming-Customization-Forum/Curve-collector-s-quot-Connected-Curve-quot-without-the/m-p/358891
but i don't have permission to access this page when i login
Can you help me ?
Thanks
Hi all,
This code only select single curve ?
Function SelectCurves(ByRef prompt As String) As Curve() Dim selected() As TaggedObject = Nothing NXOpen.UI.GetUI.SelectionManager.SelectTaggedObjects("Select Curves", prompt, Selection.SelectionScope.WorkPart, False, New...
I have some code for list xyz but i dont know how to create text with parameter
Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.Assemblies
Module Intersect1
Sub Main()
Dim theSession As Session = Session.GetSession()
Dim workPart As Part =...
Is it possible to place text in curve on a face that shows curse coordinate system ?
I create ~ 100 text in curve to the surface and I am trying a journal which will do the things in following sequence.
1. Find a x,y,z by show infomation of the curve( line, splile…)
2. Chose the x,y,z...